System.Core 4.0.0.0 System.Enum System.Flags

You can specify access rights when you use the method to open an existing memory-mapped file.

Specifies access rights to a memory-mapped file that is not associated with a file on disk.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to get or set permissions on a file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to change the security and audit rules associated with a file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to read and write to a file with the restriction that write operations will not be seen by other processes.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to delete a file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to run an application file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to exert full control over a file, and to modify access control and audit rules. This value represents the right to do anything with a file and is the combination of all rights in this enumeration.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to open and copy a file as read-only.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to open and copy a folder or file as read-only, and to run application files. This right includes the right and the right.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to open and copy access and audit rules from a file. This does not include the right to read data, file system attributes, or extended file system attributes.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to open and copy a file, and the right to add data to a file or remove data from a file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to open and copy a file, the right to add data to a file or remove data from a file, and the right to run an application file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to change the owner of a file.

- Field
  4.0.0.0
  System.IO.MemoryMappedFiles.MemoryMappedFileRights

  The right to add data to a file or remove data from a file.